POST
Beneficiary Edit
Update the profile information of an existing beneficiary.
Request
merchantNoMerchant number assigned by Onerway. Retrieve it from the merchant portal or onboarding material after your sandbox or production account is created.
Example:
801129merchantRefIdMerchant-side beneficiary reference ID.
beneficiaryIdBeneficiary ID to update.
bankCountryDestination country of the beneficiary.
payoutCurrencyBeneficiary payout currency.
entityTypeBeneficiary entity type.
0 for business and 1 for individual.paymentMethodConfigured payout method.
receiverInfo{ companyName, lastName, ... }Beneficiary identity information encoded as a JSON string.
address{ countryCode, state, ... }Beneficiary address information encoded as a JSON string.
accountInfomation{ cardNumber, accountType, ... }Beneficiary account information encoded as a JSON string.
signRequest signature string. Generate it according to the Transfer request-signing rules with your merchant private key.
curl -X POST 'https://sandbox-api.onerway.com/payout/api/v1/beneficiary/edit' \
-H 'Content-Type: application/json' \
--data-raw '{
"accountInfomation": "{\"cardNumber\":null,\"accountType\":null,\"swiftCode\":null,\"bankName\":\"MCB BankLimited\",\"sortCode\":null,\"branchCode\":null,\"bankHolderName\":null,\"walletType\":\"EASYPAISA\",\"walletPhone\":\"03079770877\",\"pickUpBankName\":null,\"pickUpBankBranchName\":null,\"pickUpBankBranchId\":null,\"pickUpBankBranchAddress\":null}",
"address": "{\"countryCode\":null,\"state\":\"NY\",\"city\":\"Adin\",\"townName\":null,\"addressLine1\":\"testdsgddfs1233\",\"addressLine2\":null,\"addressLine3\":null,\"postalCode\":\"10005\"}",
"bankCountry": "PK",
"beneficiaryId": "1984102812163112960",
"entityType": "1",
"merchantNo": 801129,
"paymentMethod": "E_WALLET",
"payoutCurrency": "PKR",
"receiverInfo": "{\"companyName\":\"helloBoy\",\"lastName\":\"testData\",\"firstName\":\"betaData\",\"areaCode\":\"+92\",\"phone\":\"2313019452\",\"birthDate\":\"1990-12-04\",\"email\":\"jing.yuan1@onerway.com\",\"identityType\":\"SSN\",\"vatNumber\":\"8859884832\"}",
"sign": "d2ea92efff636320122021f65b613201403f6d34334cfbc7e589ce9f842284a3"
}'Response
respCodeResponse code returned by Onerway.
respMsgResponse message returned by Onerway.
data{ beneficiaryId, payeeStatus }Updated beneficiary result.
{
"respCode": "20000",
"respMsg": null,
"data": {
"beneficiaryId": "1984102812163112960",
"payeeStatus": "unnecessary"
}
}No error responses are documented for this endpoint.